VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | List of all members
UniversalMidiPacketHandlerAdapter Struct Reference

`#include <ump.h>`

Inheritance diagram for UniversalMidiPacketHandlerAdapter:

## Public Member Functions
void | onNoop (Group group) const override
void | onJitterClock (Group group, Timestamp time) const override
void | onJitterTimestamp (Group group, Timestamp time) const override
void | onMIDITimeCode (Group group, Timecode timecode) const override
void | onSongPositionPointer (Group group, uint8_t posLSB, uint8_t posMSB) const override
void | onSongSelect (Group group, uint8_t songIndex) const override
void | onTuneRequest (Group group) const override
void | onSystemRealtime (Group group, SystemRealtime which) const override
void | onMidi1NoteOff (Group group, Channel channel, NoteNumber note, Velocity8 velocity) const override
void | onMidi1NoteOn (Group group, Channel channel, NoteNumber note, Velocity8 velocity) const override
void | onMidi1PolyPressure (Group group, Channel channel, NoteNumber note, Data8 data) const override
void | onMidi1ControlChange (Group group, Channel channel, ControllerNumber controller, Data8 value) const override
void | onMidi1ProgramChange (Group group, Channel channel, Program program) const override
void | onMidi1ChannelPressure (Group group, Channel channel, Data8 pressure) const override
void | onMidi1PitchBend (Group group, Channel channel, Data8 valueLSB, Data8 valueMSB) const override
void | onSysExPacket (Group group, SysEx6ByteData data) const override
void | onSysExStart (Group group, SysEx6ByteData data) const override
void | onSysExContinue (Group group, SysEx6ByteData data) const override
void | onSysExEnd (Group group, SysEx6ByteData data) const override
void | onRegisteredPerNoteController (Group group, Channel channel, NoteNumber note, ControllerNumber controller, Data32 data) const override
void | onAssignablePerNoteController (Group group, Channel channel, NoteNumber note, ControllerNumber controller, Data32 data) const override
void | onRegisteredController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const override
void | onAssignableController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const override
void | onRelativeRegisteredController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const override
void | onRelativeAssignableController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const override
void | onPerNotePitchBend (Group group, Channel channel, NoteNumber note, Data32 data) const override
void | onNoteOff (Group group, Channel channel, NoteNumber note, Velocity16 velocity, AttributeType attr, AttributeValue attrValue) const override
void | onNoteOn (Group group, Channel channel, NoteNumber note, Velocity16 velocity, AttributeType attr, AttributeValue attrValue) const override
void | onPolyPressure (Group group, Channel channel, NoteNumber note, Data32 data) const override
void | onControlChange (Group group, Channel channel, ControllerNumber controller, Data32 data) const override
void | onProgramChange (Group group, Channel channel, OptionFlags options, Program program, BankMSB bankMSB, BankLSB bankLSB) const override
void | onChannelPressure (Group group, Channel channel, Data32 data) const override
void | onPitchBend (Group group, Channel channel, Data32 data) const override
void | onPerNoteManagement (Group group, Channel channel, NoteNumber note, OptionFlags options) const override
void | onSysEx8Packet (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const override
void | onSysEx8Start (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const override
void | onSysEx8Continue (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const override
void | onSysEx8End (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const override
void | onMixedDataSetHeader (Group group, Index mdsID, MixedData data) const override
void | onMixedDataSetPayload (Group group, Index mdsID, MixedData data) const override
ParsingAction | onInvalidInputData (size_t index) const override
void | onInsufficentInputData (size_t index, size_t numMissingWords) const override
virtual void | onNoop (Group group) const =0
virtual void | onJitterClock (Group group, Timestamp time) const =0
virtual void | onJitterTimestamp (Group group, Timestamp time) const =0
virtual void | onMIDITimeCode (Group group, Timecode timecode) const =0
virtual void | onSongPositionPointer (Group group, uint8_t posLSB, uint8_t posMSB) const =0
virtual void | onSongSelect (Group group, uint8_t songIndex) const =0
virtual void | onTuneRequest (Group group) const =0
virtual void | onSystemRealtime (Group group, SystemRealtime which) const =0
virtual void | onMidi1NoteOff (Group group, Channel channel, NoteNumber note, Velocity8 velocity) const =0
virtual void | onMidi1NoteOn (Group group, Channel channel, NoteNumber note, Velocity8 velocity) const =0
virtual void | onMidi1PolyPressure (Group group, Channel channel, NoteNumber note, Data8 data) const =0
virtual void | onMidi1ControlChange (Group group, Channel channel, ControllerNumber controller, Data8 value) const =0
virtual void | onMidi1ProgramChange (Group group, Channel channel, Program program) const =0
virtual void | onMidi1ChannelPressure (Group group, Channel channel, Data8 pressure) const =0
virtual void | onMidi1PitchBend (Group group, Channel channel, Data8 valueLSB, Data8 valueMSB) const =0
virtual void | onSysExPacket (Group group, SysEx6ByteData data) const =0
virtual void | onSysExStart (Group group, SysEx6ByteData data) const =0
virtual void | onSysExContinue (Group group, SysEx6ByteData data) const =0
virtual void | onSysExEnd (Group group, SysEx6ByteData data) const =0
virtual void | onRegisteredPerNoteController (Group group, Channel channel, NoteNumber note, ControllerNumber controller, Data32 data) const =0
virtual void | onAssignablePerNoteController (Group group, Channel channel, NoteNumber note, ControllerNumber controller, Data32 data) const =0
virtual void | onRegisteredController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const =0
virtual void | onAssignableController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const =0
virtual void | onRelativeRegisteredController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const =0
virtual void | onRelativeAssignableController (Group group, Channel channel, BankNumber bank, Index index, Data32 data) const =0
virtual void | onPerNotePitchBend (Group group, Channel channel, NoteNumber note, Data32 data) const =0
virtual void | onNoteOff (Group group, Channel channel, NoteNumber note, Velocity16 velocity, AttributeType attr, AttributeValue attrValue) const =0
virtual void | onNoteOn (Group group, Channel channel, NoteNumber note, Velocity16 velocity, AttributeType attr, AttributeValue attrValue) const =0
virtual void | onPolyPressure (Group group, Channel channel, NoteNumber note, Data32 data) const =0
virtual void | onControlChange (Group group, Channel channel, ControllerNumber controller, Data32 data) const =0
virtual void | onProgramChange (Group group, Channel channel, OptionFlags options, Program program, BankMSB bankMSB, BankLSB bankLSB) const =0
virtual void | onChannelPressure (Group group, Channel channel, Data32 data) const =0
virtual void | onPitchBend (Group group, Channel channel, Data32 data) const =0
virtual void | onPerNoteManagement (Group group, Channel channel, NoteNumber note, OptionFlags options) const =0
virtual void | onSysEx8Packet (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const =0
virtual void | onSysEx8Start (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const =0
virtual void | onSysEx8Continue (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const =0
virtual void | onSysEx8End (Group group, Data8 numBytes, Index streamID, SysEx13ByteData data) const =0
virtual void | onMixedDataSetHeader (Group group, Index mdsID, MixedData data) const =0
virtual void | onMixedDataSetPayload (Group group, Index mdsID, MixedData data) const =0
virtual ParsingAction | onInvalidInputData (size_t index) const =0
virtual void | onInsufficentInputData (size_t index, size_t numMissingWords) const =0

## Additional Inherited Members
Public Types inherited from IUniversalMidiPacketHandler
enum class | SystemRealtime { TimingClock , Start , Continue , Stop , ActiveSensing , Reset }
using | Group = uint8_t
using | Channel = uint8_t
using | Index = uint8_t
using | NoteNumber = uint8_t
using | BankNumber = uint8_t
using | ControllerNumber = uint8_t
using | Velocity8 = uint8_t
using | Velocity16 = uint16_t
using | AttributeType = uint8_t
using | AttributeValue = uint16_t
using | OptionFlags = uint8_t
using | Data8 = uint8_t
using | Data32 = uint32_t
using | Program = uint8_t
using | BankMSB = uint8_t
using | BankLSB = uint8_t
using | Timestamp = uint16_t
using | Timecode = uint8_t
using | StreamID = uint8_t
using | SysEx6ByteData = const std::array< uint8_t, 6 > &
using | SysEx13ByteData = const std::array< uint8_t, 13 > &
using | MixedData = const std::array< uint8_t, 14 > &

## Member Function Documentation

## ◆ onNoop()

void onNoop | ( | Group | group | ) | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onJitterClock()

void onJitterClock | ( | Group | group,
|  | Timestamp | time
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onJitterTimestamp()

void onJitterTimestamp | ( | Group | group,
|  | Timestamp | time
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMIDITimeCode()

void onMIDITimeCode | ( | Group | group,
|  | Timecode | timecode
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSongPositionPointer()

void onSongPositionPointer | ( | Group | group,
|  | uint8_t | posLSB,
|  | uint8_t | posMSB
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSongSelect()

void onSongSelect | ( | Group | group,
|  | uint8_t | songIndex
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onTuneRequest()

void onTuneRequest | ( | Group | group | ) | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSystemRealtime()

void onSystemRealtime | ( | Group | group,
|  | SystemRealtime | which
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1NoteOff()

void onMidi1NoteOff | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Velocity8 | velocity
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1NoteOn()

void onMidi1NoteOn | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Velocity8 | velocity
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1PolyPressure()

void onMidi1PolyPressure | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Data8 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1ControlChange()

void onMidi1ControlChange | ( | Group | group,
|  | Channel | channel,
|  | ControllerNumber | controller,
|  | Data8 | value
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1ProgramChange()

void onMidi1ProgramChange | ( | Group | group,
|  | Channel | channel,
|  | Program | program
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1ChannelPressure()

void onMidi1ChannelPressure | ( | Group | group,
|  | Channel | channel,
|  | Data8 | pressure
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMidi1PitchBend()

void onMidi1PitchBend | ( | Group | group,
|  | Channel | channel,
|  | Data8 | valueLSB,
|  | Data8 | valueMSB
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysExPacket()

void onSysExPacket | ( | Group | group,
|  | SysEx6ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysExStart()

void onSysExStart | ( | Group | group,
|  | SysEx6ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysExContinue()

void onSysExContinue | ( | Group | group,
|  | SysEx6ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysExEnd()

void onSysExEnd | ( | Group | group,
|  | SysEx6ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onRegisteredPerNoteController()

void onRegisteredPerNoteController | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | ControllerNumber | controller,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onAssignablePerNoteController()

void onAssignablePerNoteController | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | ControllerNumber | controller,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onRegisteredController()

void onRegisteredController | ( | Group | group,
|  | Channel | channel,
|  | BankNumber | bank,
|  | Index | index,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onAssignableController()

void onAssignableController | ( | Group | group,
|  | Channel | channel,
|  | BankNumber | bank,
|  | Index | index,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onRelativeRegisteredController()

void onRelativeRegisteredController | ( | Group | group,
|  | Channel | channel,
|  | BankNumber | bank,
|  | Index | index,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onRelativeAssignableController()

void onRelativeAssignableController | ( | Group | group,
|  | Channel | channel,
|  | BankNumber | bank,
|  | Index | index,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onPerNotePitchBend()

void onPerNotePitchBend | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onNoteOff()

void onNoteOff | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Velocity16 | velocity,
|  | AttributeType | attr,
|  | AttributeValue | attrValue
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onNoteOn()

void onNoteOn | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Velocity16 | velocity,
|  | AttributeType | attr,
|  | AttributeValue | attrValue
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onPolyPressure()

void onPolyPressure | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onControlChange()

void onControlChange | ( | Group | group,
|  | Channel | channel,
|  | ControllerNumber | controller,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onProgramChange()

void onProgramChange | ( | Group | group,
|  | Channel | channel,
|  | OptionFlags | options,
|  | Program | program,
|  | BankMSB | bankMSB,
|  | BankLSB | bankLSB
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onChannelPressure()

void onChannelPressure | ( | Group | group,
|  | Channel | channel,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onPitchBend()

void onPitchBend | ( | Group | group,
|  | Channel | channel,
|  | Data32 | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onPerNoteManagement()

void onPerNoteManagement | ( | Group | group,
|  | Channel | channel,
|  | NoteNumber | note,
|  | OptionFlags | options
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysEx8Packet()

void onSysEx8Packet | ( | Group | group,
|  | Data8 | numBytes,
|  | Index | streamID,
|  | SysEx13ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysEx8Start()

void onSysEx8Start | ( | Group | group,
|  | Data8 | numBytes,
|  | Index | streamID,
|  | SysEx13ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysEx8Continue()

void onSysEx8Continue | ( | Group | group,
|  | Data8 | numBytes,
|  | Index | streamID,
|  | SysEx13ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onSysEx8End()

void onSysEx8End | ( | Group | group,
|  | Data8 | numBytes,
|  | Index | streamID,
|  | SysEx13ByteData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMixedDataSetHeader()

void onMixedDataSetHeader | ( | Group | group,
|  | Index | mdsID,
|  | MixedData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onMixedDataSetPayload()

void onMixedDataSetPayload | ( | Group | group,
|  | Index | mdsID,
|  | MixedData | data
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onInvalidInputData()

ParsingAction onInvalidInputData | ( | size_t | index | ) | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

## ◆ onInsufficentInputData()

void onInsufficentInputData | ( | size_t | index,
|  | size_t | numMissingWords
| ) |  | const
| inline override virtual

Implements IUniversalMidiPacketHandler.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.